Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Oliver Upton <[email-masked]>
Date: Wed, 18 Oct 2023 23:02:20 +0000

On Tue, Oct 17, 2023 at 12:13:00PM +0100, Catalin Marinas wrote:
> On Tue, Oct 17, 2023 at 12:30:17PM +1100, Stephen Rothwell wrote:
> > Today's linux-next merge of the kvm-arm tree got a conflict in:
> > 
> >   arch/arm64/kvm/arm.c
> > 
> > between commit:
> > 
> >   d8569fba1385 ("arm64: kvm: Use cpus_have_final_cap() explicitly")
> > 
> > from the arm64 tree and commit:
> > 
> >   ef150908b6bd ("KVM: arm64: Add generic check for system-supported vCPU features")
> > 
> > from the kvm-arm tree.
> > 
> > I fixed it up (I just used the latter) and can carry the fix as
> > necessary.
> 
> Thanks Stephen. The fix looks fine, removing the
> cpus_have_final_cap(ARM64_HAS_32BIT_EL1) check in
> kvm_vcpu_init_check_features().

Agreed, I was moving this cap around in ef150908b6bd ("KVM: arm64: Add
generic check for system-supported vCPU features") and went ahead with
the conversion per Mark's series.

-- 
Thanks,
Oliver